### Virtual Method

# Camel Folder rename

#### Declaration [src]

    void
    rename (
      CamelFolder* folder,
      const gchar* new_name
    )

#### Description [src]

Marks `folder` as renamed.

This also emits the `CamelFolder::renamed` signal from an idle source on the main loop. The idle source’s priority is #G_PRIORITY_HIGH_IDLE.

NOTE: This is an internal function used by camel stores, no locking is performed on the folder.

#### Parameters

`new_name`

  Type: `const gchar*`

  New name for the folder.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.